@echo off
@cls
::
:: This Script is the installer of PowerShell V 1.0 for Windows 2000
::

@echo Creating directories...
mkdir "%systemroot%\system32\WindowsPowerShell"
mkdir "%systemroot%\system32\WindowsPowerShell\v1.0"
mkdir "%systemroot%\system32\WindowsPowerShell\v1.0\Examples"
set PS_DESTINATION_DIR=%systemroot%\system32\WindowsPowerShell\v1.0
@echo ...done.


@echo Copying files...
cd KB926139
copy powershell.exe "%PS_DESTINATION_DIR%"
copy pwrshmsg.dll "%PS_DESTINATION_DIR%"
copy pwrshsip.dll "%PS_DESTINATION_DIR%"
copy Certificate.format.ps1xml "%PS_DESTINATION_DIR%"
copy DotNetTypes.format.ps1xml "%PS_DESTINATION_DIR%"
copy FileSystem.format.ps1xml "%PS_DESTINATION_DIR%"
copy Help.format.ps1xml "%PS_DESTINATION_DIR%"
copy PowerShellCore.format.ps1xml "%PS_DESTINATION_DIR%"
copy PowerShellTrace.format.ps1xml "%PS_DESTINATION_DIR%"
copy Registry.format.ps1xml "%PS_DESTINATION_DIR%"
copy types.ps1xml "%PS_DESTINATION_DIR%"

copy *.rtf "%PS_DESTINATION_DIR%"
copy about_*.* "%PS_DESTINATION_DIR%"
copy microsoft.powershell.*.* "%PS_DESTINATION_DIR%"
copy system.management.*.* "%PS_DESTINATION_DIR%"
copy default.help.txt "%PS_DESTINATION_DIR%"
copy powershell.exe.mui "%PS_DESTINATION_DIR%"

pushd "%PS_DESTINATION_DIR%"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "System.Management.Automation.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.ConsoleHost.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Commands.Management.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Commands.Utility.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Security.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "System.Management.Automation.resources.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.ConsoleHost.resources.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Commands.Management.resources.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Commands.Utility.resources.dll"
"%systemroot%\Microsoft.NET\Framework\v2.0.50727\InstallUtil.exe" "Microsoft.PowerShell.Security.resources.dll"

del /F /Q "System.Management.Automation.dll"
del /F /Q "Microsoft.PowerShell.ConsoleHost.dll"
del /F /Q "Microsoft.PowerShell.Commands.Management.dll"
del /F /Q "Microsoft.PowerShell.Commands.Utility.dll"
del /F /Q "Microsoft.PowerShell.Security.dll"
del /F /Q "System.Management.Automation.resources.dll"
del /F /Q "Microsoft.PowerShell.ConsoleHost.resources.dll"
del /F /Q "Microsoft.PowerShell.Commands.Management.resources.dll"
del /F /Q "Microsoft.PowerShell.Commands.Utility.resources.dll"
del /F /Q "Microsoft.PowerShell.Security.resources.dll"
popd

"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "System.Management.Automation.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.ConsoleHost.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Commands.Management.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Commands.Utility.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Security.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "System.Management.Automation.resources.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.ConsoleHost.resources.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Commands.Management.resources.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Commands.Utility.resources.dll" /f
"%programfiles%\Microsoft.NET\SDK\v2.0\Bin\gacutil.exe" /i "Microsoft.PowerShell.Security.resources.dll" /f
@echo ...done.


@echo NGen Assemblies...
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "System.Management.Automation.resources,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.ConsoleHost,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Commands.Management,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Commands.Utility,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Security,Version=1.0.0.0,Culture=neutral,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
@echo ...done.

@echo NGen Assembly Resources...
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "System.Management.Automation.resources,Version=1.0.0.0,Culture=en,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.ConsoleHost.resources,Version=1.0.0.0,Culture=en,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Commands.Management.resources,Version=1.0.0.0,Culture=en,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Commands.Utility.resources,Version=1.0.0.0,Culture=en,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
"%SystemRoot%\Microsoft.NET\Framework\v2.0.50727\ngen.exe" install "Microsoft.PowerShell.Security.resources,Version=1.0.0.0,Culture=en,PublicKeyToken=31bf3856ad364e35,ProcessorArchitecture=msil" /queue:3 /silent /nologo /NoDependencies
@echo ...done.

@echo Update Environment Variables...
PSCustomSetupUtil.exe /addenvvariable PATH "%SystemRoot%\system32\WindowsPowerShell\v1.0"
PSCustomSetupUtil.exe /addenvvariable PATHEXT ".PSC1"
PSCustomSetupUtil.exe /wmsettingchange
cd ..
@echo ...done.


@echo Create shortcuts ...
cscript PWS2000_Shortcut.js
@echo ...done.

@echo Set Registry Entries...
regedit /s PWS2000_Registry.reg
@echo ...done.

@echo Set user settings ...
cscript PWS2000_UserSetup.js
@echo ...done.

@echo  
@echo Install complete
@echo  
