var WshShell = WScript.CreateObject("WScript.Shell");
var WshSystemEnvironment = WshShell.Environment("SYSTEM");

var strStartMenu = WshShell.SpecialFolders("AllUsersStartMenu");
var strSystemRoot = WshSystemEnvironment("WINDIR");

// Shortcut in All Users Start Menu
var oShellLink = WshShell.CreateShortcut(strStartMenu + "\\Programs\\Windows PowerShell.lnk");
oShellLink.TargetPath = strSystemRoot + "\\system32\\WindowsPowerShell\\v1.0\\powershell.exe";
oShellLink.WindowStyle = 1;
oShellLink.IconLocation = strSystemRoot + "\\system32\\WindowsPowerShell\\v1.0\\powershell.exe, 0";
oShellLink.Description = "Performs text-based (command-line) functions.";
oShellLink.WorkingDirectory = "%HOMEDRIVE%%HOMEPATH%";
oShellLink.Save();

// System-wide path completion characters
WshShell.RegWrite("HKLM\\SOFTWARE\\Microsoft\\Command Processor\\CompletionChar", 0x40, "REG_DWORD");
WshShell.RegWrite("HKLM\\SOFTWARE\\Microsoft\\Command Processor\\PathCompletionChar", 0x40, "REG_DWORD");

// Console Window settings (default/system user)
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable00", 0x0, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable01", 0x800000, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable02", 0x8000, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable03", 0x808000, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable04", 0x80, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable05", 0x800080, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable06", 0x8080, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable07", 0xc0c0c0, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable08", 0x808080, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable09", 0xff0000, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable10", 0xff00, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable11", 0xffff00, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable12", 0xff, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable13", 0xff00ff, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable14", 0xffff, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ColorTable15", 0xffffff, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\CursorSize", 0x19, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\FaceName", "Lucida Console", "REG_SZ");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\FontFamily", 0x36, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\FontSize", 0xc0000, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\FontWeight", 0x190, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\FullScreen", 0x0, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\HistoryBufferSize", 0x32, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\HistoryNoDup", 0x0, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\InsertMode", 0x1, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\NumberOfHistoryBuffers", 0x4, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\PopupColors", 0xf5, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\QuickEdit", 0x1, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ScreenBufferSize", 0x20000078, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\ScreenColors", 0x1b, "REG_DWORD");
WshShell.RegWrite("HKEY_USERS\\.DEFAULT\\Console\\Windows PowerShell\\WindowSize", 0x320078, "REG_DWORD");